﻿/*grid-custom -> adicionar o height(altura) dinamicamente na grid, a class content-custom é inserida na grid pai e o css do conteudo da grid no segundo filho (first-child + div)*/
.content-custom > :last-child {
    max-height: 250px !important;
    height: auto !important;
}

.k-grid-toolbar {
    background-color: #e9ebe8;
    padding: 10px 0px;
}

.k-filter-row th, .k-grid-header th.k-header {
    font-weight: 700;
}

.k-button-solid-primary {
    border-color: #5d598d;
    color: #fff;
    background-color: #5d598d;
}

.k-button-solid-primary.k-hover, .k-button-solid-primary:hover {
    border-color: #7d7aa4;
    background-color: #7d7aa4;
}

.k-grid-header {
    padding-top: 3px;
    padding-bottom: 3px;
}

.k-pager-numbers .k-link {
    color: #6d5eac;
}

.k-pager-numbers .k-link.k-selected {
    border-color: #6d5eac;
    color: #fff;
    background-color: #6d5eac;
}

.k-pager-numbers .k-link.k-hover, .k-pager-numbers .k-link:hover {
    color: #6d5eac;
}

.k-pager-numbers .k-link.k-selected:hover {
    border-color: #6d5eac;
    color: #fff;
    background-color: #6d5eac;
}

.k-pager-nav.k-link, .k-pager-refresh {
    color: #6d5eac;
}

.k-hover.k-pager-nav.k-link, .k-hover.k-pager-refresh, .k-pager-nav.k-link:hover, .k-pager-refresh:hover {
    color: #6d5eac;
}

.k-list-item.k-selected, .k-selected.k-list-optionlabel.k-focus.k-hover {
    color: #fff;
    background-color: #6d5eac;
}

.k-grid-header .k-grid-filter.k-active, .k-grid-header .k-grid-header-menu.k-active, .k-grid-header .k-header-column-menu.k-active, .k-grid-header .k-hierarchy-cell .k-icon.k-active {
    color: #fff;
    background-color: #6d5eac;
}

.k-checkbox.k-checked, .k-checkbox:checked {
    border-color: #6d5eac;
    color: #fff;
    background-color: #6d5eac;
}

.k-menu-group .k-item>.k-link.k-active, .k-menu-group .k-item>.k-link.k-selected, .k-menu-group .k-item>.k-link:active, .k-menu.k-context-menu .k-item>.k-link.k-active, .k-menu.k-context-menu .k-item>.k-link.k-selected, .k-menu.k-context-menu .k-item>.k-link:active {
    color: #fff;
    background-color: #6d5eac;
}

.k-checkbox {
    height: 16px !important;
    width: 16px !important;
}